[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Sage in F11



On Sun, 2009-07-19 at 14:19 -0700, Conrad Meyer wrote:
> On Sunday 19 July 2009 02:05:44 pm Matthew Saltzman wrote:
> > Sorry to bother the -devel list with this, but nobody on fedora-list
> > responded to my question, and I know there is some effort to package
> > Sage for Fedora.  I hope one of those packagers can help me out.
> >
> > I've installed sage-4.1 on F11 using the F10 binary installation
> > tarball.  But when I run sage, it fails with the following error:
> > [...]
> > "/usr/local/sage-4.1-linux-Fedora_release_10_Cambridge-x86_64-Linux/local/l
> >ib/python/hashlib.py", line 63, in __get_builtin_constructor import _md5
> >         ImportError: No module named _md5
> >
> > I assume I'm missing a dependency, but what is it?  Or is there something
> > else going on?
> >
> > Sage worked fine in F10.  This error occurred also with sage-4.0.2 in F11.
> >
> > TIA.
>
> $ rpm -qf /usr/lib64/python2.6/lib-dynload/_md5module.so
> python-2.6-9.fc11.x86_64
> 
> I'm guessing the version of python shipped with Sage is missing the native md5 
> module (which is in %{_libdir}/python2.6/lib-dynload/_md5module.so on F-11).

Rebuilding from source in F11 seems to have mitigated the problem.
You're right, though.  There is no _md5module in the Sage Python libs.

Thanks.


> 
> Regards,
-- 
                Matthew Saltzman

Clemson University Math Sciences
mjs AT clemson DOT edu
http://www.math.clemson.edu/~mjs


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]